## ros-indigo-fetch-gazebo-demo 0.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_gazebo_demo)

find_package(catkin)
catkin_package()

install(
  PROGRAMS
    scripts/demo.py
    scripts/pick_place_demo.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch maps config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-fetch-gazebo-demo (0.7.3-0trusty) trusty; urgency=high



 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Thu, 28 Mar 2019 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.7.2-0trusty) trusty; urgency=high

  * This release fast-forwarded the gazebo2 branch, and reverted breaking changes from:
    gazebo5, gazebo7 and gazebo9
  * [package.xml] adds: license(BSD), author, maintainers (#45) (#55)
    * [package.xml] update maintainers
    * [fetchit_challenge] adds license(BSD), author, maintainers
    * [fetchit_challenge] add <url> tags to package.xml
  * Reverts and reverted changes:
    * Revert "update changelogs" <0.8.0>This reverts commit ab8607adc9b0120c09869fb5c84d320c9c020d3e.
    
      * Revert "0.8.0"
        This reverts commit 3aa624857adf4142c0ca3708b028a3b05d8737ad.
      * Revert "Corrected Bug for new Melodic MoveIt Version"
        This reverts commit 674f28175ace0c41f6a248abf82cab2b57829d95.
        See PR #26 and PR #32
      * Corrected Bug for new Melodic MoveIt Version
    
  * Merge pull request #32 from RDaneelOlivav/gazebo9
    FetchIt Challenge Package addition and minor melodic Moveit Fix
    (partially reverted)
  * Added correction suggested in pick and place demo script and new tables
  * Add rviz config for pickplace demo
  * Contributors: Alexander Moriarty, Kentaro Wada, Miguel Angel Rodríguez

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.7.1-0trusty) trusty; urgency=high

  * improve parameterization of demos
  * Contributors: Di Sun, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 27 Feb 2016 08:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.7.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 04 Nov 2015 08:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.6.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 13 Sep 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.6.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.6.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.5.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.5.0-0trusty) trusty; urgency=high

  * force gripper fully open for demo
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.4.4-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.4.3-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.4.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 06 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.4.1-0trusty) trusty; urgency=high

  * update launch files for package name changes
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.4.0-0trusty) trusty; urgency=high

  * split demos into separate package
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.3.2-0trusty) trusty; urgency=high

  * add depend on angles
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.3.1-0trusty) trusty; urgency=high

  * add simulation model for freight
  * add navigation configuration for simulated env
  * update for timer-based base controller
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 03 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo-demo (0.3.0-0trusty) trusty; urgency=high

  * init from preview repo
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 03 Jun 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-fetch-gazebo-demo
Section: misc
Priority: extra
Maintainer: Alex Moriarty <amoriarty@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/fetch_gazebo_demo
Standards-Version: 3.9.2

Package: ros-indigo-fetch-gazebo-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-fetch-gazebo, ros-indigo-fetch-moveit-config, ros-indigo-fetch-navigation, ros-indigo-moveit-python, ros-indigo-simple-grasping, ros-indigo-teleop-twist-keyboard
Description: Demos for fetch_gazebo package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetch-gazebo-demo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
